Recent Posts

Pages: [1] 2 3 ... 10
1
CADmep™ Users / Re: ctext block for throat dims
« Last post by Andy0777 on Yesterday at 22:44:53 »
Got it!! Found a video with the great David Ronson, who refers to the Kevin Allen/William Tucker video, only he goes into more detail on the Lisp parts.

To get 2 ctext reports in one Lisp routine, you call the first CTEXT, and the second ADDCTEXT.

I took a screenshot from David's video and altered the Lisp to suit my situation.

Code: [Select]
:Square Duct Throat
(defun c:sqbt (/ ss )
  (setq ss (ssget '((0 . "MAPS_SOLID"))))
  (setq ss (ssget "_I"))
  (CTEXT "throat1" ss)
  (setq ss (ssget "_I"))
  (ADDCTEXT "throat2" ss)
  (sssetfirst nil ss)
 
   (princ)
)

I'm sure I can shrink this down a bit but for now, it works. Huge sigh of relief.

Thank you to everyone who contributed to this thread.
2
CADmep™ Users / Re: Move along z axis only
« Last post by Andy0777 on Yesterday at 16:58:59 »
Thanks,

Tweaked it a bit but it works perfectly.

Code: [Select]
(defun c:MZ (/ osm slset pt1 pt2)(terpri)
(prompt "MOVE with .xy Filter")(terpri)
    (setq slset (ssget))
     (setq pt1 (getpoint "Select Base Point of Object to move:"))(terpri)
      (setq pt2 (getpoint "Select destination .Z of:"))(terpri)
   (command ".move" slset "" pt1 ".xy" pt2)
   )
3
In R2023 and R2024 we just noticed that when we print to PDF using the Bluebeam PDF driver, arch objects in the linked model supersede MEP Fab duct and pipe. In other words, when MEP Fab duct/pipe cross a wall/window/door, the wall/window/door prints on top of the duct/pipe no matter the elevations. I tested with native Revit duct and pipe and there are no issues. See attached.

Within the Revit model, everything on the screen looks fine. See attached.

We went back and looked at several PDFs printed from R2020 and R2022 to confirm and there were no printing issues. We looked at several PDFs printed from R2023 and R2024 we see this problem in all of them.

When we plot direct to the plotter from Revit using the Oce 500 print driver the plots also show this bug. So its not just a Bluebeam PDF print driver issue.

If anyone has any thoughts on this, we'd greatly appreciate any input.
4
any update on this?
we are seeing the effects of this today and the users are on 2023.1.4.
only solution to go back to an older version?
5
CADmep™ Users / Re: Move along z axis only
« Last post by PipeFitter72 on Jul 12, 2024, 19:25:58 PM »
Lisp I had for my users to call from a ribbon button.
I may have gotten it from somebody else but I dont remember.
If its yours fell free to speak up

Code: [Select]
;;; MZ.lsp   Move Objects Along Z Axis

(defun c:MZ (/ osm slset pt1 pt2)(terpri)
(prompt "MOVE with .Z Filter")(terpri)
    (setq slset (ssget))
     (setq pt1 (getpoint "Select Base Point of Object to move:"))(terpri)
      (setq pt2 (getpoint "Select destination .Z of:"))(terpri)
   (command ".move" slset "" pt1 ".Z" pt2 "@")
   )
6
ESTmep™ Users / New material moves to Other Tab
« Last post by ayoung8901 on Jul 12, 2024, 15:54:45 PM »
Has anyone experienced making a new material and it randomly moving to the 'OTHER' tab?

Like creating a plywood or armaflex material. Sometimes it randomly moves to the OTHER tab and then you need to move it back to the Duct tab so it will cu

Thanks!
7
CADmep™ Users / Re: ctext block for throat dims
« Last post by Andy0777 on Jul 12, 2024, 07:43:44 AM »
Here’s a short video from Autodesk University. Credit to Kevin Allen and William Tucker from Comfort Systems Texas. This is what I would like to be able to do.

Thanks for replying to this thread. I’m nearly there.

https://share.icloud.com/photos/06fNTGX6vlWnJqxfu15N-q6Rw
8
General Discussions / Re: AutoCAD HVAC Tool Palette
« Last post by craigjonnson on Jul 11, 2024, 22:57:44 PM »
Do you a desktop manager for multi-screens? There is a Dialog Repositioning box in there that might be the issue if you are.

9
CADmep™ Users / Re: Move along z axis only
« Last post by cadbyken on Jul 11, 2024, 18:43:37 PM »
Code: [Select]
Move
<Select>
<Enter>
<Select Base Point>
.xy<Enter>
0<Enter>
<Select Second Point>
That is basically what the Move3D.lsp does.
10
General Discussions / Re: AutoCAD HVAC Tool Palette
« Last post by cadbyken on Jul 11, 2024, 18:41:42 PM »
It has been a while but I think there is a setting in the CUI that tells what palettes to load on startup.
Pages: [1] 2 3 ... 10